/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __PKGMGR_PARSER_PLUGIN_INTERFACE__
#define __PKGMGR_PARSER_PLUGIN_INTERFACE__

extern "C"
{
	typedef struct _xmlDoc xmlDoc;
	typedef xmlDoc* xmlDocPtr;
	int PKGMGR_PARSER_PLUGIN_PRE_INSTALL(const char *pkgId);
	int PKGMGR_PARSER_PLUGIN_PRE_UPGRADE(const char *pkgId);
	int PKGMGR_PARSER_PLUGIN_PRE_UNINSTALL(const char *pkgId);

	int PKGMGR_PARSER_PLUGIN_INSTALL(xmlDocPtr doc, const char* pkgId);
	int PKGMGR_PARSER_PLUGIN_UPGRADE(xmlDocPtr doc, const char* pkgId);
	int PKGMGR_PARSER_PLUGIN_UNINSTALL(xmlDocPtr doc, const char* pkgId);

	int PKGMGR_PARSER_PLUGIN_POST_INSTALL(const char *pkgId);
	int PKGMGR_PARSER_PLUGIN_POST_UPGRADE(const char *pkgId);
	int PKGMGR_PARSER_PLUGIN_POST_UNINSTALL(const char *pkgId);
}

#endif /* __PKGMGR_PARSER_PLUGIN_INTERFACE__ */
